document.querySelector('.btn-info-compte').addEventListener('click', function(event) {
    event.preventDefault();

    document.getElementById('container_modal');

    fetch('/gestion-user')
        .then(response => {
            if (!response.ok) {
                throw new Error('Erreur');
            }
            return response.text();
        })
        .then(html => {
            // Insérer le HTML dans le conteneur et l'afficher
            container_modal.innerHTML = html;
            container_modal.style.display = 'block';
        })
        .catch(error => {
            console.error('Erreur:', error);
        });
});

function updateUser (event) {
    document.getElementById('container_modal');
    const userIdString = event.getAttribute('data-id');
    let userId = parseInt(userIdString);

    fetch(`/user/update/${userId}`)
        .then(response => {
            return response.text();
        })
        .then(html => {
            // Insérer le HTML dans le conteneur et l'afficher
            container_modal.innerHTML = html;
            container_modal.style.display = 'block';
        })
        .catch(error => {
            console.error('Erreur:', error);
        });
}